import React, { useRef, useState } from 'react';
import { connect } from 'react-redux';
import { NavLink } from 'react-router-dom';
import { actionLogin } from '../../Actions/action_login';
import LoginError from '../../Components/LoginError/LoginError';
import history from "../../history";
import './Login.css';

const Login = ({onLogin=null}) => {        //деструктуризация объекта

    if(localStorage.authToken) {
        history.push('/profile')
    }
    
    const loginRef = useRef(null)
    const pasRef = useRef(null)

    const [login, setLogin] = useState("")
    const [password, setPassword] = useState("")

    return (
        <div className='login-wrapper'>
            <input value={login} placeholder="Login" ref={loginRef} onChange={(e) => setLogin(e.target.value)}></input>     
            {/* зачем нужен value? */}
            {/* <input placeholder="Login" ref={loginRef} onChange={(e) => setLogin(e.target.value)}></input> */}
            <input value={password} placeholder="Password" ref={pasRef} onChange={(e) => setPassword(e.target.value)} type="password"></input>

            <button onClick={() => onLogin(login, password)}>Login</button>

            <nav>
                <NavLink to="/registration" >Registration</NavLink>
            </nav>

            <LoginError />
        </div>
    )
}

const CLogin = connect(null, {onLogin: actionLogin})(Login)

export default CLogin;